<?php if( ! defined('BASEPATH')) exit('No direct script access allowed');

Class Templates_admin{

	private $CI;

	public function __construct()
	{
		$this->CI =& get_instance();
	}

	public function head($data = array())
	{
		$this->CI->load->view('admin/templates/head', $data);
	}

	public function header($data = array())
	{
		$this->CI->load->view('admin/templates/header', $data);
	}

	public function subMenu($items = false, $results = false, $activar = true, $tipo = false)
	{

		$data = array(
			'items' 		=> $items,
			'results'		=> $results,
			'activar'		=> $activar,
			'tipo'			=> $tipo,
			'categories'	=> false
			);

		if($results)
		{
			$this->CI->load->model('categoriesmodel');
			$data['categories'] = $this->CI->categoriesmodel->get();
		}

		$this->CI->load->view('admin/menu', $data);
	}

	public function sidebar()
	{
		$this->CI->load->view('admin/templates/sidebar');	
	}

	public function footer($data = array())
	{
		$this->CI->load->view('admin/templates/footer', $data);
	}

	
}








