<?php

class ImgModel extends CI_Model{

    public function __construct()
    {
        parent::__construct();
    }
    

	public function get($product, $active = true)
    {
        $a = "";
        if($active)
        {
            $a = " and img.active = 1 ";
        }

        $sql = "SELECT * FROM img 

                WHERE img.product = $product 
                $a 
                ORDER BY img.order ASC";

        $consulta = $this->db->query($sql);

        if($consulta->num_rows() > 0)
        {

            $resultado  = $consulta->result();
            $nuevo      = array();

            foreach ($resultado as $key => $img)
            {
                if( file_exists('./pics/'.$img->product.'/'.$img->number.'.'.$img->extension) && file_exists('./pics/'.$img->product.'/'.$img->number.'_thumb.'.$img->extension) )
                {
                    $nuevo[$key]            = $resultado[$key];
                    $nuevo[$key]->grande    = 'pics/'.$img->product.'/'.$img->number.'.'.$img->extension;
                    $nuevo[$key]->thumb     = 'pics/'.$img->product.'/'.$img->number.'_thumb.'.$img->extension;
                }
            }

            return $nuevo;
        }
        else
        {
            return false;
        }
    }


    public function imgLastNumber($product)
    {

        $sql        = "SELECT * FROM img 
                       WHERE img.product = $product
                       ORDER BY img.number DESC
                       LIMIT 0,1";

        $query      = $this->db->query($sql);

        if($query->num_rows() == 1)
        {
            $res = $query->row();
            return $res->number;
        }
        else
        {
            return -1;
        }
    }

    public function imgLastOrder($product)
    {

        $sql        = "SELECT * FROM img 
                       WHERE img.product = $product
                       ORDER BY img.order DESC 
                       LIMIT 0,1";

        $query      = $this->db->query($sql);

        if($query->num_rows() == 1)
        {
            $res = $query->row();
            return $res->order;
        }
        else
        {
            return false;
        }
    }

    public function img($id)
    {
        $sql = "SELECT * FROM img
                WHERE img.id = $id";

        $query = $this->db->query($sql);
        
        if($query->num_rows() == 1)
        {
            return $query->row();
        }        

        return false;
    }

    public function add($data)
    {
        $this->db->insert('img', $data);
    }

    public function edit($id, $text)
    {

        $sql = "UPDATE img 
                SET img.text = '$text'
                WHERE img.id = '$id'";

        $query = $this->db->query($sql);

    }

    public function thumb($product_id)
    {
        $imgs = $this->get($product_id, true);

        if($imgs != false)
        {
            $img        = $imgs[0];
            $thumb      = $this->functions->getThumb($img->id); 

            return $thumb;
        }

        return 'img/img-vacia.png';
    }

    public function large($product_id)
    {
        $imgs = $this->get($product_id, true);
        
        if($imgs != false)
        {
            $img        = $imgs[0];
            $thumb      = $this->functions->getLargeImg($img->id); 

            return $thumb;
        }

        return 'img/img-vacia.png';
    }

    public function hasImg($product)
    {
        $sql = "SELECT * FROM img
                WHERE img.product = $product";

        $query = $this->db->query($sql);
        
        if($query->num_rows > 0)
        {
            return true;
        }        

        return false;
    }

    public function set_active($id, $activo = false)
    {

        $a = $activo == true ? 1 : 0;

        $sql = "UPDATE img
                SET active = $a
                WHERE img.id = $id";

        $this->db->query($sql);
    }

    public function delete($id)
    {
        
        $img = $this->img($id);

        $sql = "DELETE FROM img WHERE img.id = $id";

        if($this->db->query($sql) && $img != false)
        {
            $big    = $this->settingsmodel->get('pics_path').$img->product.'/'.$img->number.'.jpg'; 
            $thumb  = $this->settingsmodel->get('pics_path').$img->product.'/'.$img->number.'_thumb.jpg';

            if(file_exists($big) && file_exists($thumb))
            {
                unlink($big);
                unlink($thumb);
            }

            return true;

        }
        else
        {
            return false;
        }
    }

    public function deleteAll($product)
    {
        $imgs = $this->get($product, false);

        if($imgs != false)
        {
            foreach ($imgs as $i)
            {
                $this->delete($i->id);
            }
        }
  
    }





}