<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

class Newscatmodel extends CI_Model{

	private $table_name = "news_categories";

	public function __construct()
	{
		parent::__construct();
	}

	public function singleCategory($id)
	{
		$sql = "SELECT * FROM news_categories
				WHERE news_categories.id = $id
				LIMIT 0,1";

		$res = $this->db->query($sql);

		if($res->num_rows() == 1)
		{
			return $res->row();
		}	

		return false;
	}

	public function singleCategoryFromSlug($slug)
	{
		if( is_int($slug) ) return false;

		$sql = "SELECT * FROM news_categories
				WHERE news_categories.slug = '$slug'
				LIMIT 0,1";

		$res = $this->db->query($sql);

		if($res->num_rows() == 1)
		{
			return $res->row();
		}	

		return false;
	}

	public function getCategories($active = false)
	{

		$a = "";

		if($active == true)
		{
			$a = "AND active = 1";
		}

		$sql = "SELECT * FROM news_categories
				WHERE 1
				$a
				ORDER BY 'name' ASC, id ASC";

		$res = $this->db->query($sql);

		if($res->num_rows() > 0)
		{
			$results = $res->result();

			return $results;
		}

		return false;
	}


	public function addCategory($data)
	{
		if($this->db->insert('news_categories', $data))
        {
            return true;
        }

        return false;	
	}


	public function setActive($id, $active = false)
    {

        $a = $active == true ? 1 : 0;

        $sql = "UPDATE $this->table_name
                SET active = $a
                WHERE id = $id";

        $this->db->query($sql);
    }


    public function updateCategory($id = false, $data = array())
    {
    	if( ! $id)
        {
            return false;
        }

        $this->db->where('id', $id);

        if($this->db->update('news_categories', $data))
        {
            return true;
        }

        return false;
    }

    public function delete($id)
    {
        $sql = "DELETE FROM $this->table_name
                WHERE id = $id";

        if($this->db->query($sql))
        {   
            return true;
        }

        return false;
    }

}