<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

class Newslettermodel extends CI_Model
{

	private $table_name = "newsletter";

	public function __construct()
	{
		parent::__construct();
	}

	public function add($data)
	{

		if( !$this->exists($data['email']) )
		{
			//agrego

			$email = array(

				'id'			=> null,
				'name'			=> $data['name'],
				'email'			=> $data['email'],
				'date'			=> date('Y-m-d')
			);

			$this->db->insert( $this->table_name, $email);

			return true;
		}
		else
		{
			return false;
		}

	}

	public function get()
	{
		$sql = "SELECT * FROM newsletter ORDER BY email ASC";

		$res = $this->db->query($sql);

		return $res->num_rows() > 0 ? $res->result() : false;
	}

	private function exists($email)
	{

		$sql = "SELECT * FROM $this->table_name
				WHERE email = '$email'";

		$res = $this->db->query($sql);

		if($res->num_rows() != 0)
		{
			return true;
		}

		return false;


	}
	
}