
    <div class="col-sm-10">

        <form action="armado/nuevo" method="POST">

            <div class="row">

                <div class="col-sm-12">

                    <h3>Agregar tipo de armado</h3>
                    <hr>

                </div>

                <div class="col-sm-3">

                    <div class="form-group">

                        <label>Nombre</label>
                        <input type="text" required class="form-control" name="nombre"  />

                    </div>

                </div>

                <div class="col-sm-2">

                    <div class="form-group">

                        <label>Precio</label>
                        <input type="number" required min="0" max="15000" class="form-control" name="precio"  />

                    </div>

                </div>

                <div class="col-sm-1">
                    <label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                    <button type="submit" class="btn btn-success">Agregar</button>
                </div>


            </div>


        </form>

    </div>

    <?php if($armados) : ?>

    <div class="col-sm-10">

        <h3>Tabla de armados</h3>

        <hr>

        <form action="armado/actualizar" method="POST">

            <table class="table">

                <thead>

                    <tr>

                        <th>Nombre</th>

                        <th>Precio</th>

                        <th>Activo</th>

                        <th class="text-right">Acciones</th>

                    </tr>

                </thead>

            <?php foreach( $armados as $key => $armado ) : ?>

            <tr>
                <input type="hidden" name="id_armado[<?php echo $armado->id_armado ?>]" value="<?php echo $armado->id_armado ?>" />
                
                <td>

                    <input type="text" name="nombre[<?php echo $armado->id_armado ?>]" class="form-control" value="<?php echo $armado->nombre ?>" />

                </td>

                <td>

                    <input type="text" name="precio[<?php echo $armado->id_armado ?>]" class="form-control" value="<?php echo $armado->precio ?>" />

                </td>

                <td>

                    <input type="checkbox" name="activo[<?php echo $armado->id_armado ?>]" <?php echo $armado->activo ? 'checked' : '' ?> />

                </td>

                <td class="text-right">
                    <a href="armado/eliminar/<?php echo $armado->id_armado ?>">
                        <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                    </a>
                </td>

            </tr>

            <?php endforeach ?>

            </table>
        

        <div class="row">

            <div class="col-xs-12">

                <button type="submit" class="btn btn-success">Actualizar tabla</button>

                <a href="" class="btn btn-default">Salir</a>

            </div>

        </div>

        </form>

    </div>
    
    <?php else : ?>

        <div class="col-md-10">
            <h3>No hay tipos de armado en la base de datos</h3>
        </div>

    <?php endif ?>
 
</div>
