<div class="col-sm-10">

	<div class="row">

		<?php if($items != false) : ?>

		<div class="col-sm-6">

			<?php foreach($items as $anchor => $url) : ?>

				<a href="<?php echo $url ?>" <?php if($anchor == 'cancelar') echo 'data-toggle="modal"' ?> title="<?php echo $anchor ?>" class="btn btn-small btn-link"><?php echo ucfirst($anchor) ?></a>

			<?php endforeach ?>
		</div>

		<?php endif ?>

		<div class="col-sm-6 pull-right opciones-menu">

		<?php if($results) : ?>

			<form method="post" action="resultados" class="form-inline" role="form">
				
				<div class="form-group">
					<label for="resultados">Resultados : </label>
					<?php
					$results = false;
					if($this->session->userdata('resultados') != false)
					{
						$results = $this->session->userdata('resultados');
					}
					?>

					<select name="resultados" class="form-control">
						<option <?php if($results == 20) echo 'selected' ?> >20</option>
						<option <?php if($results == 50) echo 'selected' ?> >50</option>
						<option <?php if($results == 100) echo 'selected' ?> >100</option>
						<option <?php if($results == 200) echo 'selected' ?> >200</option>
						<option <?php if($results == 500) echo 'selected' ?> >500</option>
					</select>
				</div>	

		<?php endif ?>

		<?php if($categories != false) : ?>

			<div class="form-group">

				<label for="resultados">Categoria : </label>
				<?php
				$cat = false;
				if($this->session->userdata('categoria') != false)
				{
					$cat = $this->session->userdata('categoria');
				}
				?>

				<select name="categoria" class="form-control" >

					<option value="">Todas</option>
						<?php foreach($categories as $category) : ?>
							<option class="category-option" <?php if($cat == $category->id) echo 'selected' ?> value="<?php echo $category->id ?>" ><?php echo $category->name ?></option>

							<?php if($category->childs != false) : ?>

								<?php foreach($category->childs as $subcategory) : ?>

									<option class="subcategory-option" <?php if($cat == $subcategory->id) echo 'selected' ?> value="<?php echo $subcategory->id ?>">   - <?php echo $subcategory->name ?></option>

								<?php endforeach ?>

							<?php endif ?>

						<?php endforeach ?>
				</select>
			</div>

			<input type="submit" class="btn btn-primary" value="ok" name="personalizar" />

			</form>

			<?php endif ?>

			
		</div>

		<div class="col-sm-6">

			<div id="seleccion">
				
		        <p id="cantidad_items"></p>
		        <p class="lista_items" data-tipo="<?php echo $tipo ?>">
		        	<?php if( $activar ) : ?>
		            <a href="#" id="activar" class="btn btn-mini btn-success masivo" data-action="activar">Activar</a>
		            <a href="#" id="desactivar" class="btn btn-mini btn-warning masivo" data-action="desactivar">Desactivar</a>
		        	<?php endif ?>
		            <a href="#" id="eliminar" class="btn btn-mini btn-danger masivo" data-action="eliminar">Eliminar</a>
		        </p>
		    </div>

		</div>	

	</div>

</div>

<div class="modal fade" id="modal-cancelar" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
    
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">Salir de edicion</h4>
            </div>

            <div class="modal-body">
                <p>Seguro que quieres salir?</p>
                <p>Perderás todos los datos ingresados</p>
            </div>

            <div class="modal-footer">
                <a class="btn btn-success" href="productos/listar">Continuar</a>
                <a class="btn btn-danger" data-dismiss="modal">Seguir editando</a>
            </div>
        </div>
    </div>
</div>