    

    <div class="col-sm-10">

        <form action="" method="POST" enctype="multipart/form-data">

            <div class="row">

                <div class="col-sm-12">

                    <h3>Nueva oferta</h3>
                    <hr>

                    <?php if($nuevo) : ?>

                    <?php echo $nuevo; ?>

                    <?php endif ?>

                </div>

                <div class="col-sm-3">

                    <div class="form-group">

                        <label>Título</label>
                        <input type="text" required class="form-control" name="titulo" required />

                    </div>

                </div>

                <div class="col-sm-3">

                    <div class="form-group">

                        <label>Fecha</label>
                        <input type="date" value="<?php echo date('Y-m-d') ?>" required class="form-control" name="fecha" required />

                    </div>

                </div>

                <div class="col-sm-3">

                    <div class="form-group">

                        <label>Imágen de la oferta</label>
                        <input type="file" class="form-control" name="userfile" required accept="image/jpeg" />

                    </div>

                </div>

                <div class="col-sm-1">
                    <label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                    <button type="submit" class="btn btn-success">Agregar</button>
                </div>


            </div>


        </form>

    </div>

    <?php if($ofertas) : ?>

    <div class="col-sm-10">

        <h3>Listado de Ofertas</h3>

        <hr>

        <div class="row">

            <?php foreach( $ofertas as $key => $oferta ) : ?>

            <div class="col-sm-3">


                <div class="oferta thumbnail <?php echo $oferta->activo ? 'bg-success' : 'bg-danger'; ?>">

                    <div class="botones-oferta">

                        <a href="ofertas/eliminar/<?php echo $oferta->id ?>" title="Eliminar Oferta">
                            <span class="glyphicon glyphicon-trash"></span>
                        </a>

                        <a href="ofertas/activar/<?php echo $oferta->id ?>" title="Activar/Desactivar Oferta">
                            <span class="glyphicon glyphicon-<?php echo $oferta->activo ? 'remove' : 'ok' ?>"></span>
                        </a>                        

                    </div>

                    <img src="../<?php echo $oferta->url ?>" />

                    <h4><?php echo $oferta->titulo ?></h4>

                    <h6><?php echo $oferta->fecha ?></h6>

                </div>

            </div>

            <?php endforeach ?>

        </div>

    </div>
    
    <?php else : ?>

        <div class="col-md-10">
            <h3>No hay ofertas en la base de datos</h3>
        </div>

    <?php endif ?>
 
</div>
