

    <?php if( $this->cart->total_items() > 0 ) : ?>

    <div class="row">

        <div class="col-lg-6">

            <p class="text-primary">Producto</p>

        </div>


        <div class="col-lg-2">

            <p class="text-primary">Cantidad</p>

        </div>

        <div class="col-lg-2 col-lg-offset-1">

            <p class="text-primary">Sub total</p>

        </div>


        <div class="col-lg-1">


        </div>  

    </div>

    <form method="post" action="carrito/acciones">

    <hr>

        <?php foreach($cart as $key => $product) : ?>

        <div class="row">

            <div class="col-lg-1 text-right">

                <p>
                    <img src="<?php echo $product->thumb ?>" alt="" style="max-width:154px;max-height:35px"> 
                </p>
            </div>

            <div class="col-lg-5">

                <p>
                    <a href="producto/<?php echo $product->id, '/', $product->slug ?>"><?php echo $product->name ?></a>
                </p>

                <p style="font-size:11px;">
                    
                        <?php echo $product->items['options']['Opcion'] ?>
               
                </p>
            </div>

            <div class="col-lg-2">

                <p>
                    <?php echo form_input(array('name' => 'qty[]', 'value' => $product->items['qty'], 'maxlength' => '3', 'size' => '5', 'type' => 'number', 'min' => 1, 'max' => 20, 'class' => 'form-control')); ?>
                </p>
            </div>

            <div class="col-lg-2 col-lg-offset-1">

                <?php $tmp = new stdClass(); $tmp->currency = $product->items['options']['moneda'] ?>
                <p>
                    <?php echo $this->functions->getCurrency($tmp) . ' ' . $this->cart->format_number($product->items['subtotal']) ?>
                </p>
            </div>

            <div class="col-lg-1 text-right">

                <a href="carrito/delete/<?php echo $product->items['rowid'] ?>">
                    <span class="glyphicon glyphicon-trash"></span>
                </a>
            </div>

        </div>

        <?php endforeach ?>


    <hr>

    <div class="row">

        <div class="col-lg-6">  
            
            <a href="categoria/todos" class="btn btn-default btn-xs"><span class="glyphicon glyphicon-shopping-cart"></span> Continuar Comprando</a>
            <button type="submit" class="btn btn-default btn-xs" name="update" > <span class="glyphicon glyphicon-repeat"></span> Actualizar</button>
            <button type="button" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#vaciar"><span class="glyphicon glyphicon-trash"></span> Vaciar carrito</button>

            <div class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" id="vaciar">
                <div class="modal-dialog modal-sm">
                    <div class="modal-content">
                        <div class="modal-header">
                        
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h5 class="modal-title" id="myModalLabel">¿Estás seguro de vaciar tu carrito?</h5>
                        </div>
                       

                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                            <button type="submit" class="btn btn-danger btn-sm" name="vaciar"><span class="glyphicon glyphicon-trash"></span> Vaciar carrito</button>
                        </div>
                    </div>
                </div>
            </div>

        </div>

        <div class="col-sm-3"></div>
    </div>

    </form>

    <div class="row">

        <div class="col-lg-6 col-lg-offset-6">

            <h3 class="text-right text-primary" >
                Total en Pesos : <?php echo '$ ',' ', $this->cart->format_number( $this->functions->liquidacion('PES') ) ?> <br>
                
            </h3>

            <h3 class="text-right text-primary" >
                Total en Dolares : <?php echo 'U$S ',' ', $this->cart->format_number( $this->functions->liquidacion('DOL') ) ?> <br>
                
            </h3>

        </div>

    </div>

    <div class="row">

        <div class="col-lg-2 col-lg-offset-10">

            <?php if(!$cart_data) : ?>
            
            <p class="pull-right">Perfil incompleto!</p>
            <a href="usuario/datos/cart" class="btn btn-warning pull-right">Completar Perfil <span class="glyphicon glyphicon-circle-arrow-up"></span> </a>

            <?php else : ?>

            <a href="comprar/facturacion" class="btn btn-primary pull-right">Continuar <span class="glyphicon glyphicon-circle-arrow-right"></span> </a>

            <?php endif ?>
        </div>
    </div>

    <?php endif ?>