<section class="bg-white">

    <div class="container">

        <div class="row">

            <div id="sns_main" class="col-xs-12 col-md-12 col-main">

                    <div class="row">

                        <div class="col-xs-6 col-sm-2">

                            <p class="text-primary">Producto</p>

                        </div>

                        <div class="hidden-xs col-sm-5">
                        </div>


                        <div class="col-xs-2 col-sm-2">

                            <p class="text-primary">Cantidad</p>

                        </div>

                        <div class="col-xs-3 col-sm-2 text-right">

                            <p class="text-primary">Sub total</p>

                        </div>


                        <div class="col-sm-1">


                        </div>

                    </div>

                    <hr>

                    <?php foreach($cart as $key => $product) : ?>

                    <div class="row">

                        <div class="col-xs-6 col-sm-2 text-left">

                            <p class="hidden-xs">
                                <img src="<?php echo $product->thumb ?>" alt="" style="max-height:75px">
                            </p>

                            <p class="visible-xs">
                                <a href="<?php echo $product->permalink ?>"><?php echo $product->name ?> </a>
                            </p>

                            <div class="visible-xs" style="font-size:12px;">

                                Precio unitario : <?php echo $this->functions->precioUnitarioCart($product->items); ?>

                                <?php if($product->armado && $this->statusmodel->checkUser() ) : ?>
                                <p class="visible-xs" style="font-size:12px;">

                                    <div class="checkbox">
                                        <label>
                                            <input type="checkbox" <?php echo $product->items['armado'] != 0 ? 'checked' : ''; ?> style="position:relative;top:-3px;" class="armado" data-rowid="<?php echo $product->items['rowid'] ?>" > Agregar armado [ <?php echo $product->armado->nombre ?> $ <?php echo $product->armado->precio ?> ]
                                        </label>
                                    </div>

                                </p>
                                <?php endif ?>

                            </div>

                        </div>

                        <div class="hidden-xs col-sm-5">

                            <p style="font-size:14px;">
                                <a href="<?php echo $product->permalink ?>"><?php echo $product->name ?></a>
                            </p>

                            <p style="font-size:12px;">

                                Precio unitario : <?php echo $this->functions->precioUnitarioCart($product->items); ?>

                            </p>
                        
                        </div>

                        <div class="col-xs-2 col-sm-2">

                            <p>
                                <?php echo form_input(array('name' => 'qty[]', 'data-rowid' => $product->items['rowid'], 'value' => $product->items['qty'], 'maxlength' => '3', 'size' => '5', 'type' => 'number', 'min' => 1, 'max' => 20, 'class' => 'form-control qty')); ?>
                            </p>

                        </div>

                        <div class="col-xs-3 col-sm-2 text-right">

                            <p>
                                <?php echo $this->functions->precioCart($product->items) ?>
                            </p>

                        </div>


                        <div class="col-xs-1 col-sm-1 text-right">

                            <a href="carrito/delete/<?php echo $product->items['rowid'] ?>">
                                <span class="glyphicon glyphicon-trash"></span>
                            </a>

                        </div>

                    </div>
                    <hr>
                    <?php endforeach ?>



                    <div class="row">

                        <div class="col-sm-6">

                            <a href="productos" class="btn btn-default btn-xs"><span class="glyphicon glyphicon-shopping-cart"></span> Buscar otros productos</a>
                            <!-- <button type="submit" class="btn btn-default btn-xs" name="update" > <span class="glyphicon glyphicon-repeat"></span> Actualizar</button> -->
                            <button type="button" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#vaciar"><span class="glyphicon glyphicon-trash"></span> Vaciar carrito</button>

                        </div>

                        <div class="col-sm-3"></div>

                    </div>

            </div>

        </div>

        <div class="row">

            <div class="col-sm-6 col-sm-offset-6">

                <?php if($this->functions->total('PES')->total != 0 ) : ?>
                <h3 class="text-right text-primary" >
                    Total en pesos uruguayos : <?php echo $this->functions->total('PES')->formateado; ?>
                </h3>
                <?php endif ?>


                <?php if($this->functions->total('DOL')->total != 0 ) : ?>
                <h3 class="text-right text-primary" >
                    Total en dolares : <?php echo $this->functions->total('DOL')->formateado; ?>
                </h3>
                <?php endif ?>

            </div>

        </div>

        <?php if( $this->statusmodel->checkUser() ) : ?>
            <a href="carrito/presupuesto" class="btn btn-primary pull-right">Pedir presupuesto <span class="glyphicon glyphicon-circle-arrow-right"></span> </a>
        <?php else : ?>

            <hr>

            <h3>¡Debe iniciar sesión para confirmar el pedido de cotización!</h3>

            <a href="#" class="top-link-login" data-toggle="modal" data-target="#login-register">Iniciar sesión / Registrarse</a>

        <?php endif ?>

    </div>

</section>


<div class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" id="vaciar">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h5 class="modal-title" id="myModalLabel">¿Estás seguro de vaciar tu carrito?</h5>
            </div>

            <div class="modal-body">

                <p>Esta acción no se puede deshacer.</p>

            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                <a class="btn btn-danger btn-sm" href="carrito/vaciar" ><span class="glyphicon glyphicon-trash"></span> Vaciar carrito</a>
            </div>

        </div>
    </div>
</div>
