<div class="section"> 
    <div class="products-in-category-tabs-wrapper container">
        <div class="row">

            <?php if(!$category->id) : ?>

            <div class="col-xs-12">
                <h1>PRODUCTOS</h1>
                <div class="breadcrumb-container">
                    <ul class="breadcrumb">
                        <li><a href="">Inicio</a></li>
                        <li><a href="productos">Productos</a></li>
                    </ul>
                </div>
            </div>

            <?php else : ?>

            <div class="col-xs-12">
                <h1>PRODUCTOS</h1>
                <div class="breadcrumb-container">
                    <ul class="breadcrumb">
                        <li><a href="">Inicio</a></li>
                        <li><a href="productos">Productos</a></li>

                        <?php if( $parents ) : ?>
                        
                            <?php foreach ($parents as $key => $parent) : ?>
                            
                               <li><a href="productos/<?php echo $parent->slug ?>"><?php echo $parent->name ?></a></li>
                            
                            <?php endforeach ?>
                            
                        <?php endif ?>

                        <li><a href="productos/<?php echo $category->slug ?>"><?php echo $category->name ?></a></li>

                    </ul>
                </div>
            </div>

            <?php endif ?>

            <div class="col-md-3">
                <div class="sidebar-product">
                    <aside class="categorie">
                        <h4>CATEGORIAS</h4>

                        <ul class="categories">
                            
                            <?php foreach($categories as $k => $c) : ?>

                            <li class="cat">

                                <a href="productos/<?php echo $c->slug ?>" <?php echo $c->id == $category->id ? 'style="color:#0506fd!important"' : ''; ?> ><?php echo $c->name ?></a>
                                
                                <?php if( $c->childs ) : ?>

                                <?php foreach($c->childs as $sub_1) : ?>

                                <li class="sub_1 <?php echo $sub_1->childs ? 'abrir-sidebar' : '' ?>" <?php echo $sub_1->id == $category->id ? 'style="color:red!important"' : ''; ?> >

                                    <a href="productos/<?php echo $sub_1->slug ?>" <?php echo $sub_1->id == $category->id ? 'style="color:#0506fd!important"' : ''; ?>><?php echo $sub_1->name ?>

                                    <?php if( $sub_1->childs ) : ?>

                                        <i class="fa fa-chevron-down" style="float:right;position: relative;top: 5px;" aria-hidden="true"></i>

                                    <?php endif ?>

                                    </a>

                                </li>

                                <?php if( $sub_1->childs ) : ?>

                                    <li class="ul-sub" <?php echo $sub_1->id == $category->id ? 'style="display:inline-block!important"' : ''; ?> >

                                        <ul>

                                            <?php foreach($sub_1->childs as $sub_2) : ?>

                                            <li class="sub_2">
                                                <a href="productos/<?php echo $sub_2->slug ?>" <?php echo $sub_2->id == $category->id ? 'style="color:#0506fd!important" id="tmp_01"' : ''; ?>><?php echo $sub_2->name ?></a>
                                            </li>

                                            <?php endforeach ?>

                                        </ul>

                                    </li>
                                    

                                <?php endif ?>

                                <?php endforeach ?>

                                <?php endif ?>

                            </li>

                            <?php endforeach ?>

                        </ul>
                    </aside>

                    <?php if($destacados) : ?>

                    <aside class="featured-products">
                        
                        <h4>Productos Destacados</h4>
                        <ul>
                            <?php foreach($destacados as $key => $producto) : ?>
                            <li>
                                <a href="<?php echo $producto->permalink ?>">
                                    <img src="<?php echo $producto->thumb ?>" alt="" width="85" height="100"/>
                                </a>
                                <p class="mega-right">
                                    <a href="<?php echo $producto->permalink ?>" class="link-a">
                                    <span class="product-title"><?php echo $producto->name ?></span>
                                    </a>
                                    <span class="woocommerce-Price-amount amount">
                                        <span class="woocommerce-Price-currencySymbol">$ 33.00</span>
                                    </span>
                                </p>
                            </li>
                            <?php endforeach ?>
                                
                        </ul>

                    </aside>

                    <?php endif ?>

                </div>
            </div>
            
            <div class="col-md-9">

                <div class="products-content product-tab">

                    <div class="woocommerce product-listing columns-3 clearfix">

                        <div class="desc-review-content tab-content clearfix">

                            <div id="1a" class="">

                                <?php if($products) : ?>

                                <?php foreach($products as $key => $producto) : ?>

                                    <?php echo $this->render->product($producto); ?>

                                <?php endforeach ?>

                                <?php else : ?> 

                                    <h3>No hay productos disponibles.</h3>

                                <?php endif ?>

                            </div>


                        </div>
                    </div>
                </div>

                <!-- <div class="pagination-product text-right">
                <div class="pagination-list">
                <div class="page active">1</div>
                <div class="page">2</div>
                <div class="page">...</div>
                <div class="page">9</div>
                <div class="page">next</div>
                </div>
                </div> -->

            </div>

        </div>
    </div>
</div>