$(document).ready(function(){

    function login(){

        $('#form_acceso>input').keyup(function(){
            
            user = $('#form_acceso>input[type=text]').val();
            pass = $('#form_acceso>input[type=password]').val();
            
            if(user != '' && pass != '') {

                $('#form_acceso>input[type=submit]').removeAttr('disabled');

            }
        });

    } 



    function olvidoPassword(){

        boton   = $('#olvido'); 
        caja    = $('#olvido_pass');

        boton.click(function(){
            
            if(caja.css('display') == 'none'){

                caja.slideDown('500');
            
            }else{

                caja.slideUp('500');    
            }
        })

    }

  
    //Funcion para mostrar el div de confirmacion al eliminar
    function MostrarEliminar(){
        $('span.acciones a[title="Eliminar"]').toggle(function() {
            
        var id = $(this).attr('name');
        var id_div = '#eliminar_' + id;
        $(id_div).show('slow');
        $('#items_'+id).css('color', 'red');
        $('#items_'+id+' a').css('color', 'red');
        $('input[type="checkbox"]').removeAttr('checked');}, function(){
            
        var id = $(this).attr('name');
        var id_div = '#eliminar_' + id;
        $(id_div).hide('slow');
        $('#items_'+id).css('color', 'black');
        $('#items_'+id+' a').css('color', 'black');
        $('input[type="checkbox"]').removeAttr('checked');
        });
    }

    function MostrarSubcategorias(){

        
        $('a.mostrar_sub').toggle(function(event){
            event.preventDefault();
            $(this).parent().parent().next().fadeIn();
        
        }, function(){

            $(this).parent().next().fadeOut();
        });
    }
    


    //////////Llamo a las funciones en contexto normal
    MostrarSubcategorias();
    MostrarEliminar();
    login();
    olvidoPassword();
    
    
   
       


        //Date Picker
        $('#fecha').datepicker({ dateFormat: "yy-mm-dd" });



     
        



        ///////////////////////////////////////////////selecciondar todos los checkbox
        $('#all').change(function(){

            if($(this).attr('checked') == 'checked'){
                $('.item').attr('checked', 'checked');
            }else{
                $('.item').removeAttr('checked');

            }

        });


        $('input[type="checkbox"]').change(function(){

            var contenedor = $('#seleccion #contenedor-seleccion');
            var cantidad = $('input[type="checkbox"].item:checked').length;
            if(cantidad == 0)
            {
                contenedor.fadeOut('fast');
            }
            else
            {
                if(cantidad == 1)
                {
                    var sufijo = '';
                }
                else
                {
                    var sufijo = 's';
                    
                }
                contenedor.fadeIn('fast');
                $('#seleccion p#cantidad_items').html(cantidad + ' item' + sufijo + ' seleccionado' + sufijo);
            }
        });

        $('a#eliminar').click(function(event){

            event.preventDefault();
            var formulario = $('form#items');
            $(':hidden').attr('value', 'eliminar');
            formulario.submit();

        });
        $('a#activar').click(function(event){

            event.preventDefault();
            var formulario = $('form#items');
            $(':hidden').attr('value', 'activar');
            formulario.submit();
        });
        $('a#desactivar').click(function(event){

            event.preventDefault();
            var formulario = $('form#items');
            $(':hidden').attr('value', 'desactivar');
            formulario.submit();
        });

            
    

        function MostrarOpciones(){

            var item1       = $('#nuevo_1');
            var item2       = $('#nuevo_2');
            var borrar1     = $('#eliminar_1');
            var borrar2     = $('#eliminar_2');
            var link        = $('#agregar_opcion');
            var opciones1   = $('select#opciones_1');
            $('#opcion_nuevo_1').attr('display', 'none');



            link.click(function(event){
                
                event.preventDefault();
                if(item1.attr('display') == 'inline'){

                    item2.show('fast');
                    item2.attr('display', 'inline');
                    $(this).hide('fast');

                }else{

                    item1.show('fast');
                    item1.attr('display', 'inline');
                }

            });

            borrar1.click(function(event){
                event.preventDefault();
                item1.hide('fast');
                item1.attr('display', 'none');

                if(item2.attr('display') == 'inline'){

                    link.show('fast');

                }


            });

            borrar2.click(function(event){
                event.preventDefault();
                item2.hide('fast');
                item2.attr('display', 'none');

                if(item1.attr('display') == 'inline'){

                    link.show('fast');

                }
            });  

            
                

                    

                



            }



        

        

        function MostrarFeedbackOpciones(op){

            var opcion     = $('#valor_' + op);

            opcion.keyup(function(){

                valores     = opcion.val();
                cantidad    = valores.split(", ");
                numero      = cantidad.length;
                tipo        = $('#opciones_' + op).val();
                tipo        = tipo.toLowerCase();
               
                reverso = cantidad.reverse();
               
                if(reverso[0] == ''){

                    numero -= 1;
                }
                if(valores == ''){

                    $('#feedback_opciones_' + op).html('');
                }

                if(numero == 1 && valores != ''){
                    
                    $('#feedback_opciones_' + op).html(numero + ' propiedad' + ' ingresada');
               
               }else if(numero > 1){

                    $('#feedback_opciones_' + op).html(numero + ' propiedades' + ' ingresadas');
               }
           });





        }

        function mostrarNuevaPropiedad(id){

            var opciones   = $('select#opciones_' + id);

            opciones.change(function(){

                //alert($('#opcion_nuevo_1').attr('display'));

                if($(this).val() == 'nuevo'){

                    $('#opcion_nuevo_' + id).show('fast');
                    $('#opcion_nuevo_' + id).attr('display', 'inline');

                }else{

                    if($('#opcion_nuevo_' + id).attr('display') == 'inline'){

                        $('#opcion_nuevo_' + id).hide('fast');
                        $('#opcion_nuevo_' + id).attr('display', 'none');

                    }else{

                        return true;
                    }
                }
            });
        }

        //funcion para mostrar si es administrador o usuario

        function mostrarTipoAdmin(){

            var tipo    = $('#permisos');
            var lugar   = $('#tipo_user');

            tipo.change(function(){

                if(tipo.val() == 0){

                    valor = 'Editor';
                }else if(tipo.val() == 1){

                    valor = 'Administrador';
                }

                lugar.html(' ' + valor);

            });


        }

        //funcion para mostrar los caracteres restantes de la descripcion del sitio
        function caracteresRestantes(id_texto, id_feedback, cantidad_caracteres){

            var feedback    = $(id_feedback);
            var texto       = $(id_texto);



            texto.keyup(function(){

                var cont_texto      = texto.val();
                var cantidad_texto  = cont_texto.length;   
                var restantes       = cantidad_caracteres - cantidad_texto;

                feedback.html('Car&aacute;cteres restantes : ' + restantes);

            });

        }

        function cambiarSelect(select, form){

            select  = $(select);
            form    = $(form);

            select.change(function(){

                form.submit();

            });
        }


    function mostrarPreferencias()
    {

            var link    = $('a#preferencias');
            var lista   = $('ul#lista_preferencias');

            link.toggle(function(){

                lista.show();
                $('#caja_busqueda').hide();

            }, function(){


                lista.hide();
                $('#caja_busqueda').show();



            });

            $('body').click(function(){

                lista.hide();
                $('#caja_busqueda').show();
            })
    }


    function cambiarMoneda()
    {

        $('span.moneda label').click(function() {

            if( $('span.moneda input#moneda').val() == 'pesos' ) {

                $('span.moneda input#moneda').attr('value', 'uss');
                $('span.moneda label').text('U$S');

            }else{

                $('span.moneda input#moneda').attr('value', 'pesos');
                $('span.moneda label').text('$');

            }

            
        })
    }

    function ordenarSlider(){

        $('#slider').sortable({

            opacity: '0.5',
            update: function(){

                var orden = $(this).sortable("toArray");
                $.post(url_sitio + 'admin/ajax/ordenar_slider',{orden: orden},function(data){

                    $('span.msj').text('Imagenes reordenadas');
                    setTimeout(function(){
                            
                            $('span.msj').text('');
                            
                            }, 1000);
                });

            }

        });

    }

    function ordenarCategorias()
    {

        $('#orden-categorias').sortable({

            opacity: '0.5',
            update: function(){

                var orden = $(this).sortable("toArray");

                $.post(url_sitio + 'admin/ajax/ordenar_categorias',{orden: orden},function(data){
                    
                    console.log(data);
                    
                });

            }

        });

    }

    function ordenarCampos()
    {

        $('#orden-campos').sortable({

            opacity: '0.5',
            update: function(){

                var orden = $(this).sortable("toArray");
                var id = $(this).attr('data-id');

                $.post(url_sitio + 'admin/ajax/ordenar_campos',{orden: orden, id: id},function(data){
                    
                    $('span.msj').text('Categorias reordenadas');
                    setTimeout(function(){
                            
                            $('span.msj').text('');
                            
                            }, 1000);
                    
                });

            }

        });

    }

    function ordenarImagenes()
    {   
        var thumb   = $('#previa .thumbnail img');

        $('.orden-imagenes').sortable({

            opacity: '0.5',
            stop : function(event, ui)
            {
                var img     = $('.orden-imagenes img.thumb');
                thumb.attr('src', img.attr('src'));

            },
            update: function(){

                var orden = $(this).sortable("toArray");

                $.post(url_sitio + 'admin/ajax/ordenar_imagenes',{orden: orden},function(data){

                    $('.msj').text('Imagenes reordenadas');
            

                    setTimeout(function(){
                            
                        $('span.msj').text('');
                            
                    }, 1000);
                        
                });

            },
             placeholder: "highlight"

        });

    }

    function ordenarPaginasInferiores(){


        $('ul.orden-inferiores').sortable({
            
            opacity: '0.5',
            update: function(){

                var orden = $(this).sortable("toArray");
                $.post(url_sitio + 'admin/ajax/ordenar_paginas',{orden: orden},function(data){

                    
                });

            }

        });

    }

    function ordenarPropiedades(){

        $('ul.orden-propiedades').sortable({
            
            opacity: '0.5',
            update: function(){

                var orden = $(this).sortable("toArray");
                $.post(url_sitio + 'admin/ajax/ordenar_propiedades',{orden: orden},function(data){

                    
                });

            }

        });

    }

    function ordenarArchivos(){

        $('ul.orden-archivos').sortable({
            
            opacity: '0.5',
            update: function(){

                var orden = $(this).sortable("toArray");
                $.post(url_sitio + 'admin/ajax/ordenar_archivos',{orden: orden},function(data){

                    
                });

            }

        });

    }

    function mostrarThumbSlider(){

        function handleFileSelect(evt) {

            var files = evt.target.files; // FileList object

            // Loop through the FileList and render image files as thumbnails.
            for (var i = 0, f; f = files[i]; i++) {

              // Only process image files.
              if (!f.type.match('image.*')) {
                continue;
              }

              var reader = new FileReader();

              // Closure to capture the file information.
              reader.onload = (function(theFile) {
                return function(e) {
                  // Render thumbnail.
                  var span = document.createElement('span');
                  span.innerHTML = ['<img src="', e.target.result,
                                    '" title="', escape(theFile.name), '"/>'].join('');
                  document.getElementById('list').insertBefore(span, null);
                };
              })(f);

              // Read in the image file as a data URL.
              reader.readAsDataURL(f);
            }
          }

         $('#files').change(function() {

            $('.thumb').remove();

          })

         var boton = document.getElementById('files');
         if(boton!=null){

            boton.addEventListener('change',handleFileSelect , false);
         }
         
    }

    function mostrarOpcionesPublicarPropiedad(){

        
        $('#publicar_propiedad').click(function(event){

            event.preventDefault();
            var div = $('#sub_prop');
            if(div.css('display') == 'none'){

                div.fadeIn();

            }else{

                div.fadeOut();

            }



            
        })

    }

    function mostrarInputPrecio(){

        $('#transaccion').change(function(){

            val = $(this).val();


            $('.esconder_input').hide();
            if(val=='venta'){

                $('#precio_venta').show();

            }else if(val=='alquiler'){

                $('#precio_alquiler').show();
                $('#div_moneda_alquiler').css('display', 'inline');

            }else if(val=='Venta/Alquiler'){

                $('#precio_venta').show();
                $('#precio_alquiler').show();
                $('#div_moneda_alquiler').css('display', 'inline');

            }

        })

    }

    function destacar()
    {
        $('.important').click(function(event){

            event.preventDefault();
            var id      = $(this).attr('data-prod');
            var tipo    = $(this).attr('data-important');
            var objeto  = $(this);
            var span    = objeto.children();

            tipo = tipo == 1 ? 0 : 1;

            $.ajax({

                url: url_sitio + 'admin/ajax/determinar_destacados/' + tipo + '/' + id,
                type: "post",
                dataType: 'json',
                success: function(data){

                    if(data.success == true)
                    {
                        if(tipo == 1)
                        {
                            span.removeClass('glyphicon glyphicon-star-empty');
                            span.addClass('glyphicon glyphicon-star');
                            objeto.attr('data-important', 1);
                        }
                        else
                        {
                            span.removeClass('glyphicon glyphicon-star');
                            span.addClass('glyphicon glyphicon-star-empty');
                            objeto.attr('data-important', 0);

                        }

                    }

                },

            })

        });
    }

    function autocompletar()
    {
        $('#buscar').keyup(function(){

            var termino = $(this).attr('value');
            
            $.post(url_sitio + 'ajax/autocompletar', { termino: termino }, function(data){

                var palabras = data.split(';');
                availableTags = palabras;

                console.log(palabras);

                $("#buscar").autocomplete({
                    appendTo: "#desplegar-busqueda",
                    source: availableTags
                });

            });
        });     
    }

    function autocompletarMail()
    {
        $('#to').keyup(function(){

            var termino = $(this).attr('value');
            
            $.post(url_sitio + 'admin/ajax/autocompletarUsers', { termino: termino }, function(data){

                var palabras = data.split(';');
                availableTags = palabras;

                console.log(palabras);

                $("#to").autocomplete({
                    appendTo: "#desplegar-users",
                    source: availableTags
                });

            });
        });     
    }

    function crearPrevia()
    {

        $('#productos input[type="text"], #productos textarea').keyup(function(){

            var input = $(this).attr('name');
            $('#previa-' + input).html($(this).attr('value'));

        })

        $('#productos select').each(function(){

            $(this).change(function(){

                var input = $(this).attr('name');
                str = $(this).find('option:selected').text();
                if(str == 'Seleccionar')
                {
                    str = "";
                }
                $('#previa-' + input).html( str.replace('-', '') );
            })
            

        })

        

        // change(function(){

        //     var input = $(this).attr('name');
        //     // var texto = $(this).$('option:selected').text();
        //     // if(texto == 'SeleccionarSeleccionar')
        //     // {
        //     //     texto = "";
        //     // }
                
           
        //     var str = "";
        //     $("#productos select option:selected").each(function(){
        //       str += $( this ).text() + " ";
        //       $('#previa-' + input).html( str.slice(0, -11).replace('-', '') );
        //     });


            
       


    }


    function agregarCampo()
    {
        var divs     = $('.campo-hidden');
        var contador = 0;

        $('#agregar-campo').click(function(event){

            event.preventDefault();
            if(contador < divs.length)
            {
               $(divs[contador]).show();
                contador++; 
            }
            
        })

        $('#quitar-campo').click(function(event){

            event.preventDefault();
            if(contador > 0)
            {
                contador--;
                $(divs[contador]).hide();
                
            }
  
        })

    }


    /////////
    $('#actualizar').submit(function(){

        $('#texto_actualizar').val('Actualizando...por favor espere');
        
    })

    function responder()
    {

        var botonResponder = $('.responder-pregunta');
        var divRespuesta;
        var campoRespuesta;

        botonResponder.click(function(event){

            event.preventDefault();
            
            divRespuesta    = $(this).parent().next();
            campoRespuesta  = divRespuesta.children(); 

            if(divRespuesta.css('display') == 'none')
            {
                divRespuesta.fadeIn(function (){

                    campoRespuesta.removeAttr('disabled');
                });    
            }
            else
            {
                divRespuesta.fadeOut(function () {

                    campoRespuesta.attr('disabled', 'disabled');
                });
            }
            
        })

        $('.cerrar-pregunta').click(function(){

            divRespuesta.fadeOut(function () {

                
            });
            
        })

        $('.enviar-pregunta').click(function(){

            var id = $(this).attr('data-id');

            if(campoRespuesta.val() != '')
            {
                
                $.ajax({

                    url: url_sitio + 'admin/ajax/responder_pregunta/' + id,
                    type: "post",
                    dataType: 'json',
                    data: {respuesta: campoRespuesta.val() },
                    success: function(data)
                    {
                        if(data.exito == true)
                        {
                            
                            divRespuesta.parent().slideUp(function(){

                                location.reload();
                            });

                        }
                        else
                        {
                            alert( 'No se pudo responder la pregunta, intentelo mas tarde!' );
                        }

                    },
                    error: function(data)
                    {
                        alert('Se ha producido un error inesperado!');
                        console.log(data.responseText);
                    }

                })
            }
        })

    }

    



responder();
autocompletarMail();
ordenarCampos();
agregarCampo();
crearPrevia();
autocompletar();
ordenarImagenes();
ordenarCategorias();
destacar();
mostrarInputPrecio();
mostrarOpcionesPublicarPropiedad();
ordenarSlider();     
mostrarThumbSlider();
cambiarMoneda();
mostrarPreferencias();
//cambiarSelect('#seleccionar_categoria', '#cambiar_categoria');
caracteresRestantes('#desc_sitio', '#caracteres_restantes_desc', 140);
mostrarTipoAdmin();        
mostrarNuevaPropiedad(1);
mostrarNuevaPropiedad(2);
mostrarNuevaPropiedad(3);
MostrarFeedbackOpciones(1);                 
MostrarFeedbackOpciones(2);
MostrarFeedbackOpciones(3);
MostrarOpciones();
        


        
























});