<?php

$config = array(

		'facturacion'	=> array(


					array(

						'field'		=> 'tipo_documento',
						'label'		=> 'Tipo de documento',
						'rules'		=> 'trim|required'
					),
					array(

						'field'		=> 'documento',
						'label'		=> 'Documento',
						'rules'		=> 'trim|required|greater_than[6]'
					),
					array(

						'field'		=> 'telefono',
						'label'		=> 'Teléfono',
						'rules'		=> 'trim|required|integer|greater_than[5]'
					),
					array(

						'field'		=> 'tipo_envio',
						'label'		=> 'Forma de entrega',
						'rules'		=> 'trim|required'
					),
					array(

						'field'		=> 'metodo',
						'label'		=> 'Método de pago',
						'rules'		=> 'trim|required'
					),
					array(

						'field'		=> 'departamento',
						'label'		=> 'Departamento',
						'rules'		=> 'trim'.(@$_POST['tipo_envio'] == 'Envio a domicilio' ? '|required' : '')
					),
					array(

						'field'		=> 'ciudad',
						'label'		=> 'Localidad / Barrio',
						'rules'		=> 'trim'.( (@$_POST['tipo_envio'] == 'Envio a domicilio' && @$_POST['departamento'] != 'Montevideo' ) ? '|required' : '')
					),
					array(

						'field'		=> 'zona',
						'label'		=> 'Zona',
						'rules'		=> 'trim'.( (@$_POST['tipo_envio'] == 'Envio a domicilio' && @$_POST['departamento'] == 'Montevideo' ) ? '|required' : '')
					),
					array(

						'field'		=> 'direccion',
						'label'		=> 'Dirección',
						'rules'		=> 'trim'.(@$_POST['tipo_envio'] == 'Envio a domicilio' ? '|required' : '')
					),

					array(

						'field'		=> 'codigo_postal',
						'label'		=> 'Código postal',
						'rules'		=> 'trim',
					),

					array(

						'field'		=> 'razon_social',
						'label'		=> 'Razón social',
						'rules'		=> 'trim'.(@$_POST['factura'] == 'on' ? '|required' : ''),
					),

					array(

						'field'		=> 'rut',
						'label'		=> 'RUT',
						'rules'		=> 'trim'.(@$_POST['factura'] == 'on' ? '|required' : ''),
					),

			),

		'products' => 	array(

							array(

								'field' => 'name',
								'label' => 'Nombre',
                                'rules' => 'trim'
                            ),
                            array(

								'field' => 'category',
								'label' => 'Categoria',
                                'rules' => 'required'
                            ),
                            array(

								'field' => 'description',
								'label' => 'Descripcion',
                                'rules' => 'trim'
                            ),
                            array(

								'field' => 'brand',
								'label' => 'marca',
                                'rules' => 'trim'
                            ),

                            array(

								'field' => 'code',
								'label' => 'Código',
                                'rules' => 'trim'
                            ),
                            array(

								'field' => 'tags',
								'label' => 'Tags',
                                'rules' => 'trim'
                            ),

						),

		'admin' => array(

									array(

										'field' => 'name',
										'label' => 'Nombre',
		                                'rules' => 'required'
		                            ),

		                            array(

										'field' => 'lastname',
										'label' => 'Apellido',
		                                'rules' => 'trim|required'
		                            ),

		                            array(

										'field' => 'mail',
										'label' => 'Mail',
		                                'rules' => 'trim|required|is_unique[admin.mail]'
		                            ),
		                            array(

										'field' => 'password',
										'label' => 'Password',
		                                'rules' => 'trim|required|check_password'
		                            ),
		                            array(

										'field' => 're_password',
										'label' => 'Repetir Password',
		                                'rules' => 'trim|required'
		                            )

								),

		'admin_edit' => array(

							array(

								'field' => 'name',
								'label' => 'Nombre',
                                'rules' => 'required'
                            ),

                            array(

								'field' => 'lastname',
								'label' => 'Apellido',
                                'rules' => 'trim|required'
                            ),

                            array(

								'field' => 'mail',
								'label' => 'Mail',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'password',
								'label' => 'Password',
                                'rules' => 'trim|check_password'
                            ),
                            array(

								'field' => 're_password',
								'label' => 'Repetir Password',
                                'rules' => 'trim'
                            )

						),

		'categories' => array(

							array(

								'field' => 'name',
								'label' => 'Nombre',
                                'rules' => 'required'
                            ),

                            array(

								'field' => 'description',
								'label' => 'Descripcion',
                                'rules' => 'trim'
                            ),

                            array(

								'field' => 'parent',
								'label' => 'Padre',
                                'rules' => 'trim'
                            ),

                            array(

								'field' => 'slug',
								'label' => 'URL',
                                'rules' => 'trim|check_slug'
                            )

						),

		'slider' => 	array(

							array(

								'field' => 'title',
								'label' => 'Titulo',
                                'rules' => 'trim'
                            ),

                            array(

								'field' => 'text',
								'label' => 'Texto',
                                'rules' => 'trim'
                            ),

                            array(

								'field' => 'link',
								'label' => 'Link',
                                'rules' => 'trim'
                            )

						),

		'brands' => 	array(

							array(

								'field' => 'name',
								'label' => 'Nombre de la marca',
                                'rules' => 'trim|required'
                            ),

                            array(

								'field' => 'link',
								'label' => 'Link',
                                'rules' => 'trim'
                            )


						),

		'news' => 	array(

							array(

								'field' => 'title',
								'label' => 'Titulo del tip',
                                'rules' => 'trim|required'
                            ),

                            array(

								'field' => 'text',
								'label' => 'Text',
                                'rules' => 'trim'
                            ),

                            array(

								'field' => 'category',
								'label' => 'Categoria',
                                'rules' => 'required'
                            ),

                            array(

								'field' => 'video',
								'label' => 'Video',
                                'rules' => 'trim'
                            )

						),

	'news_category' => 	array(

							array(

								'field' => 'title',
								'label' => 'Titulo de la categoria',
                                'rules' => 'trim|required'
                            )


						),

		'data_admin' => 	array(

							array(

								'field' => 'name',
								'label' => 'Nombre',
                                'rules' => 'trim|required'
                            ),

                            array(

								'field' => 'lastname',
								'label' => 'Apellido',
                                'rules' => 'trim|required'
                            ),

                            array(

								'field' => 'mail',
								'label' => 'E-mail',
                                'rules' => 'trim|required|valid_email'
                            ),

                            array(

								'field' => 'password',
								'label' => 'Password',
                                'rules' => 'trim|check_password'
                            )


						),

		'contact' => 	array(

							array(

								'field' => 'name',
								'label' => 'Nombre',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'lastname',
								'label' => 'Apellido',
                                'rules' => 'trim|required'
                            ),

                            array(

								'field' => 'email',
								'label' => 'Correo Electronico',
                                'rules' => 'trim|required|valid_email'
                            ),

                            array(

								'field' => 'subject',
								'label' => 'Telefono',
                                'rules' => 'trim'
                            ),

                            array(

								'field' => 'message',
								'label' => 'Mensaje',
                                'rules' => 'trim|required'
                            )


						),

		'colores' => 	array(

							array(

								'field' => 'name',
								'label' => 'Nombre',
                                'rules' => 'trim|required'
                            ),


						),

		'access' => 	array(

							array(

								'field' => 'user',
								'label' => 'Usuario',
                                'rules' => 'trim|required|valid_email'
                            ),

                            array(

								'field' => 'password',
								'label' => 'Correo Electronico',
                                'rules' => 'trim|required'
                            )


						),

		'register' => 	array(

							array(

								'field' => 'name',
								'label' => 'Nombre',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'lastname',
								'label' => 'Apellido',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'mail',
								'label' => 'Correo Electronico',
                                'rules' => 'trim|valid_email|check_user|required'
                            ),
                            array(

								'field' => 'password',
								'label' => 'Contraseña',
                                'rules' => 'trim|required'
                            ),


						),

		'data' => 	array(

							array(

								'field' => 'name',
								'label' => 'Nombre',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'lastname',
								'label' => 'Apellido',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'mail',
								'label' => 'Correo Electronico',
                                'rules' => 'trim|valid_email|check_user_unique['.@$_POST['id'].']'
                            ),
                            array(

								'field' => 'address',
								'label' => 'Direccion',
                                'rules' => 'trim'
                            ),
                            array(

								'field' => 'tel',
								'label' => 'Telefono',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'password',
								'label' => 'Contraseña',
                                'rules' => (@$_POST['password'] != '' ? 'trim|required|check_password' : '')
                            ),
                            array(

								'field' => 're_password',
								'label' => 'Confirmar contraseña',
                                'rules' => (@$_POST['re_password'] != '' ? 'trim|required' : '')
                            )


						),

		'mensajes' => 	array(

							array(

								'field' => 'to',
								'label' => 'Destinatario',
                                'rules' => 'trim|required|valid_email'
                            ),
                            array(

								'field' => 'text',
								'label' => 'Mensaje',
                                'rules' => 'trim|required'
                            )


						),

		'agendar' => 	array(

							array(

								'field' => 'nombre',
								'label' => 'Nombre',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'apellido',
								'label' => 'Apellido',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'empresa',
								'label' => 'Empresa',
                                'rules' => 'trim'
                            ),
                            array(

								'field' => 'telefono',
								'label' => 'Teléfono',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'direccion',
								'label' => 'Dirección',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'email',
								'label' => 'E-mail',
                                'rules' => 'trim|required'
                            ),
                            array(

								'field' => 'fecha',
								'label' => 'Fecha',
                                'rules' => 'trim'
                            ),
                            array(

								'field' => 'mensaje',
								'label' => 'Mensaje',
                                'rules' => 'trim'
                            )


						)




	);
