<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Preguntas extends CI_Controller{

    private $tipo = "preguntas";


    public function __construct()
    {
        parent::__construct();

        $this->load->model('settingsmodel');
        $this->load->model('statusmodel');
        $this->load->model('questionsmodel');
        $this->session->set_userdata('admin_menu', 'preguntas');
    
        if( ! $this->statusmodel->loggedAdmin())
        {
            redirect('admin');
            exit();
        }

        date_default_timezone_set('America/Montevideo');
    }

    public function listar()
    {
        $this->templates_admin->head();
        $this->templates_admin->header(array('title' => 'Lista de slides'));
        $this->templates_admin->subMenu(array());
        $this->templates_admin->sidebar();
        $data['msj'] = "";
        $confirmar = false;

        $this->functions->checkboxMsg();
        
        $data[$this->tipo]  = $this->questionsmodel->get(0, 50, true);
        $data['tipo']       = $this->tipo;
        $this->load->view('admin/'.$this->tipo.'/list', $data);
        $this->templates_admin->footer();
    }

    public function eliminar($id = null){
        
        if($id == false || !is_numeric($id))
        {
            redirect('admin/preguntas/listar');
            exit();
        }
        
        if( $this->questionsmodel->delete($id) )
        {
            redirect( $this->input->server('HTTP_REFERER') );
        }
        else
        {
            redirect('admin/preguntas/listar');
        }
    }

    

    














}
?>