<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Settings extends CI_Controller{


    public function __construct()
    {
        parent::__construct();

        $this->session->set_userdata('admin_menu', 'settings');

        if( ! $this->statusmodel->loggedAdmin())
        {
            redirect('admin');
            exit();
        }
    }

    public function index()
    {
        $this->templates_admin->head();
        $this->templates_admin->header(array('title' => 'Configuracion'));
        $this->templates_admin->sidebar();
        $this->templates_admin->subMenu(array(), false, true, 'settings');

        $this->load->view('admin/settings/listar');

        $this->templates_admin->footer();
    }

    public function set()
    {

        foreach( $this->input->post() as $key => $post )
        {
            $this->settings->set($key, $post);
        }

        redirect('admin/settings');

    }


}
?>