<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Cartmodel extends CI_Model{
    
    private $table_name = "cart";

    public function __construct()
    {
        parent::__construct();
    }

    public function single($id)
    {
        $sql = "SELECT * FROM $this->table_name
                WHERE $this->table_name.id = $id
                LIMIT 0,1";

        $query = $this->db->query($sql);

        if($query->num_rows() == 1)
        {
            return  $query->row();
        }   

        return false;
    }

    public function productCart($product)
    {
        $sql = "SELECT * FROM $this->table_name
                WHERE $this->table_name.product = $product
                LIMIT 0,1";

        $query = $this->db->query($sql);

        if($query->num_rows() == 1)
        {
            return  $query->row();
        }   

        return false;
    }

    public function last_product()
    {
        $query  = $this->db->query('SELECT * FROM products ORDER BY id DESC LIMIT 0,1');
        $row    = $query->row();
        return $row->id;
    }

    public function last()
    {
        $query  = $this->db->query('SELECT * FROM cart ORDER BY id DESC LIMIT 0,1');
        $row    = $query->row();
        return $row->id;
    }


    public function add()
    {
        $data = array(

            'product'       => $this->last_product(),
            'price'         => 0,
            'discount'      => 0,
            'stock'         => 1,
            'active'        => 1

            );

        if($this->db->insert($this->table_name, $data))
        {
            return true;
        }

        return false;
    }

    public function create($data)
    {
        if($this->db->insert($this->table_name, $data))
        {
            return true;
        }

        return false;
    }

    public function update($id = false, $data = array())
    {
        if( !$id )
        {
            return false;
        }

        $this->db->where('id', $id);

        if($this->db->update($this->table_name, $data))
        {
            return true;
        }

        return false;
    }

    public function set_active($id, $active = false)
    {

        $a = $active == true ? 1 : 0;

        $sql = "UPDATE $this->table_name
                SET active = $a
                WHERE id = $id";

        $this->db->query($sql);
    }

    public function delete($id = false)
    {

        if(!$id)
        {
            return false;
        }

        $sql = "DELETE FROM cart
                WHERE id = $id";

        if($this->db->query($sql))
        {   
            return true;
        }

    }
 
      
}

?>