<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Slidermodel extends CI_Model{
    
    private $table_name = "slider";

    public function __construct()
    {
        parent::__construct();
    }
    
    
    public function get($active = false, $type = false)
    {
        $a = "";

        if($active == true)
        {
            $a = "AND active = 1";
        }

        if($type)
        {
            $a .= " AND type = '$type' ";
        }

        $sql    =  "SELECT * FROM $this->table_name
                    WHERE 1
                    $a
                    ORDER BY $this->table_name.order ASC";
        
        $query  = $this->db->query($sql);

        if($query->num_rows() == 0)
        {            
            return false;
        }
        else
        {
            $resultado = $query->result();

            foreach ($resultado as $key => $value)
            {
                $value->url = 'pics/slider/' . $value->id . '/02.'.$value->extension;
            }

            return $resultado;
        }
    }

    public function single($id)
    {
        $sql = "SELECT * FROM $this->table_name
                WHERE $this->table_name.id = $id
                LIMIT 0,1";

        $query = $this->db->query($sql);
        
        if($query->num_rows() == 1)
        {
            return  $query->row();
        }   

        return false;
    }

    public function last()
    {
        $query  = $this->db->query('SELECT * FROM slider ORDER BY id DESC LIMIT 0,1');
        $row    = $query->row();
        return $row->id;
    }

    public function add($data)
    {
        if($this->db->insert($this->table_name, $data))
        {
            return true;
        }

        return false;
    }

    public function update($id = false, $data = array())
    {
        if( ! $id)
        {
            return false;
        }

        $this->db->where('id', $id);

        if($this->db->update($this->table_name, $data))
        {
            return true;
        }

        return false;
    }

    public function delete($id)
    {
        $sql = "DELETE FROM $this->table_name
                WHERE id = '$id'";

        if($this->db->query($sql))
        {   
            return true;
        }

        return false;
    }

    public function set_active($id, $active = false)
    {

        $a = $active == true ? 1 : 0;

        $sql = "UPDATE $this->table_name
                SET active = $a
                WHERE id = $id";

        $this->db->query($sql);
    }
 
      
}

?>