    <?php if($metodos) : ?>

    <div class="col-sm-10">

        <form action="metodos/nuevo" method="POST">

            <div class="row">

                <div class="col-sm-12">

                    <h3>Agregar método</h3>
                    <hr>

                </div>

                <div class="col-sm-3">

                    <div class="form-group">

                        <label>Nombre</label>
                        <input type="text" required class="form-control" name="nombre"  />

                    </div>

                </div>

                <div class="col-sm-7">

                    <div class="form-group">

                        <label>Descripción</label>
                        <input type="text" class="form-control" name="descripcion"  />

                    </div>

                </div>

                <div class="col-sm-1">
                    <label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                    <button type="submit" class="btn btn-success">Agregar</button>
                </div>


            </div>


        </form>

    </div>

    <div class="col-sm-10">

        <h3>Tabla de métodos de pago</h3>

        <hr>

        <form action="metodos/actualizar" method="POST">

            <table class="table">

                <thead>

                    <tr>

                        <th>Nombre</th>

                        <th>Descripción</th>

                        <th>Activo</th>

                        <th class="text-right">Acciones</th>

                    </tr>

                </thead>

            <?php foreach( $metodos as $key => $metodo ) : ?>

            <tr>
                <input type="hidden" name="id_metodo[<?php echo $metodo->id_metodo ?>]" value="<?php echo $metodo->id_metodo ?>" />
                
                <td>

                    <input type="text" name="nombre[<?php echo $metodo->id_metodo ?>]" class="form-control" value="<?php echo $metodo->nombre ?>" />

                </td>

                <td>

                    <input type="text" name="descripcion[<?php echo $metodo->id_metodo ?>]" class="form-control" value="<?php echo $metodo->descripcion ?>" />

                </td>

                <td>

                    <input type="checkbox" name="activo[<?php echo $metodo->id_metodo ?>]" <?php echo $metodo->activo ? 'checked' : '' ?> />

                </td>

                <td class="text-right">
                    <a href="metodos/eliminar/<?php echo $metodo->id_metodo ?>">
                        <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                    </a>
                </td>

            </tr>

            <?php endforeach ?>

            </table>
        

        <div class="row">

            <div class="col-xs-12">

                <button type="submit" class="btn btn-success">Actualizar tabla</button>

                <a href="" class="btn btn-default">Salir</a>

            </div>

        </div>

        </form>

    </div>
    
    <?php else : ?>

        <div class="col-md-10">
            <h3>No hay métodos de pago en la base de datos</h3>
        </div>

    <?php endif ?>
 
</div>
