<!-- <div class="row">

    <div class="col-xs-12">

        <h3>Noticias</h3>

        <ol class="breadcrumb">
            <li><a href="">Inicio</a></li>
            <li class="active"><a href="noticias/listar">Noticias</a></li>
            <li class="active"><?php echo $noticia->title ?></li>
        </ol>

    </div>

</div>

<hr>

<div class="row"> -->

    <div class="col-xs-8" id="content">

        <form action="" method="post" enctype="multipart/form-data" role="form" id="productos">

            <div class="form-group">
                <?php echo validation_errors('<p class="bg-danger">- ', '</p>'); ?>
                <?php if(isset($error['error'])) echo $error['error'] ?>
            </div>

            <div class="form-group">
                <label for="title">Titulo :</label>
                <input type="text" class="form-control" name="title" id="title" value="<?php echo set_value('title', $noticia->title) ?>" />
            </div>

            <?php if($categories) : ?>

            <div class="form-group">
                
                <label for="category">Categoria : </label>
                <select name="category" class="form-control" required>

                    <option value="">Seleccionar</option>

                    <?php foreach($categories as $k => $category) : ?>

                    <option value="<?php echo $category->id ?>" <?php echo $noticia->category == $category->id ? 'selected' : ''; ?> ><?php echo $category->title ?></option>

                    <?php endforeach ?>

                </select>

            </div>

            <?php endif ?>

            <div class="form-group">
                <label for="text" class="editor">Texto del articulo :</label>
                <textarea name="text" rows="10" class="form-control" id="text" class="descripcion"><?php echo set_value('text', $noticia->text) ?></textarea>
            </div>

            <div class="form-group">
                <label for="video">Video (YouTube) :</label>
                <input type="text" class="form-control" name="video" id="video" value="<?php echo set_value('video', $noticia->video);?>" />
            </div>

            <div class="row">

                <?php if($foto != false) : ?>
                
                <div class="col-xs-12 thumb-slider">

                    <img src="<?php echo $foto ?>" />
                    <a href="edicion/img/noticias/<?php echo $noticia->id ?>" class="btn btn-xs btn-primary" >Editar miniatura</a>
                    <a href="noticias/eliminar_foto/<?php echo $noticia->id ?>" class="btn btn-xs btn-danger">Eliminar</a>
             
                </div>                       

                <?php else: ?>

                <div class="col-xs-12">

                    <span>Imagen : (Maximo de 1 MB , solo se aceptan las extensiones jpg - Opcional)</span>
                    <input type="file" name="userfile" id="files" accept="image/jpeg" />
                    <output id="list"></output>

                </div>

                <?php endif ?>
            
            </div>

            <hr>

            <div class="form-group">

                <input type="submit" value="Editar Noticia" name="enviar" class="btn btn-success" />
                <a href="noticias/listar" class="btn btn-xs btn-danger" >Cancelar</a>

            </div>
            

        </form>
    </div>

