<?php if($pedido != false) : ?>

    <div class="col-md-10">

        <p>Estado : <?php echo ucfirst($pedido->status) ?></p>
        <p>Cliente : <?php echo $pedido->user_lastname, ' ', $pedido->user_name ?></p>
        <p>Fecha : <?php echo $this->functions->getDateString($pedido->date) ?></p>

        <hr>

        <?php //var_dump($pedido) ?>
        <table class="table">

            <thead>

                <tr>

                    <th>Producto</th>
                    <th>Cantidad</th>
                    <th>Precio unitario</th>
                    <th>Descuento</th>
                    <th class="text-right">Subtotal</th>

                </tr>

            </thead>

            <tbody>

                <?php if( $pedido->products ) : ?>

                    <?php foreach( $pedido->products as $key => $product ) : ?>

                        <tr>

                            <td>
                                <a href="<?php echo $product->original->permalink ?>" target="_blank">
                                <?php echo $product->original->name ?>
                                </a>

                            </td>
                            <td><?php echo $product->qty ?></td>

                            <td>
                                $<?php echo $this->cart->format_number($product->price) ?>

                                <?php if($product->discount) : ?>

                                <?php

                                $porcentaje = 100 - $product->discount;

                                $precio_original = round( (100 * $product->price) / $porcentaje );

                                ?>

                                <del>$<?php echo $this->cart->format_number( $precio_original ) ?></del>

                                <?php endif ?>
                            </td>

                            <td><?php echo $product->discount ?>%</td>
                            <td class="text-right">$<?php echo $this->cart->format_number($product->subtotal + ($product->qty *  $product->armado)) ?></td>

                        </tr>

                    <?php endforeach ?>

                <?php endif ?>

                <?php if( $pedido->costo_envio ) : ?>

                <tr><td colspan="5">&nbsp;</td></tr>

                <tr>

                    <td colspan="5" class="text-right">Envío : $<?php echo $this->cart->format_number($pedido->costo_envio) ?></td>

                </tr>

                <?php endif ?>

                <tr>

                    <td colspan="5" class="text-right">Total : $<?php echo $this->cart->format_number($pedido->total + $pedido->costo_envio) ?></td>

                </tr>

        	</tbody>

        </table>

        <hr>

        <p><?php // echo nl2br( $pedido->info ) ?></p>
       

        <a href="#" class="btn btn-success" data-toggle="modal" data-target="#modal-estado-pedido">Cambiar estado</a>


    </div>

    <div class="modal fade" id="modal-estado-pedido" tabindex="-1" role="dialog" aria-labelledby="">

        <div class="modal-dialog modal-sm" role="document">

            <div class="modal-content">

                <form method="post" action="pedidos/acciones">

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title" id="myModalLabel">Estado del pedido</h4>
                    </div>

                    <div class="modal-body">

                        <label>Estado :</label>
                        <select required name="accion" class="form-control">

                            <option value="">Seleccionar</option>
                            <option <?php echo $pedido->status == 'Pago' ? 'selected' : ''; ?> >Pago</option>
                            <option <?php echo $pedido->status == 'Rechazado Cliente' ? 'selected' : ''; ?> >Rechazado Cliente</option>
                            <option <?php echo $pedido->status == 'Rechazado Empresa' ? 'selected' : ''; ?> >Rechazado Empresa</option>
                            <option <?php echo $pedido->status == 'Entregado' ? 'selected' : ''; ?> >Entregado</option>
                            <option <?php echo $pedido->status == 'Pendiente' ? 'selected' : ''; ?> >Pendiente</option>
                            <option <?php echo $pedido->status == 'Facturado' ? 'selected' : ''; ?> >Facturado</option>

                        </select>

                        <input type="hidden" name="id" value="<?php echo $pedido->id ?>" />

                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        <button type="submit" class="btn btn-primary">Enviar</button>
                    </div>

                </form>

            </div>

        </div>

    </div>

<?php endif ?>
