<div class="col-sm-10">

	<form action="" method="post" enctype="multipart/form-data" >

		<div class="row">

			<div class="col-sm-12">

				<?php if(isset($error)) : ?>
				<h3 class="text-danger"><?php echo $error ?></h3>
				<?php endif ?>

			</div>

			<div class="col-sm-12">

				<h3>Nuevo Color++</h3>

				<p>Puede elegir entre un color simple, o adjuntar una imagen para crear el color</p>

			</div>

			<div class="col-sm-4">

				<label for="name">Nombre del color :</label>
				
				<input type="text" id="name" name="name" class="form-control" palceholder="Nombre del color" value="<?php echo set_value('name') ?>" />

			</div>

			<div class="col-sm-4">

				<div class="form-group">

					<label for="userfile">Imagen para el color : [ Máximo 1 Mb - Ancho Máx : 1024px, Alto Máx : 768px ]</label>

					<input type="file" id="userfile" name="userfile" class="form-control" />

				</div>

			</div>

			<div class="col-sm-2">

				<div class="form-group">

					<label for="color"> Color simple : </label>
					
					<input type="color" id="color" class="form-control" name="color" />
					

				</div>

			</div>

			<div class="col-lg-12">

				<div class="form-group">

					<input type="submit" class="btn btn-success" name="nuevo" value="Agregar" />

					<a href="productos/listar" class="btn btn-danger">Cancelar</a>

				</div>

			</div>


		</div>

		

	</form>


	<?php if(!$colores) : ?>

	<h3>No hay colores en la base de datos!</h3>

	<?php else : ?>
	<hr>
	<h4>Lista de colores</h4>
	
	<table class="table table-hover table-striped">

		<form action="" method="post">

		<thead>

			<tr>
				<th>#</th>
				<th>Nombre del color</th>
				<th>Color/imagen</th>
				<th class="acciones">Acciones</th>
			</tr>

		</thead>

		<tbody>

		<?php foreach ($colores as $key => $color) : ?>

		<tr <?php echo $color->active == 0 ? 'class="bg-danger"' : ''; ?> >

			<td><?php echo $key + 1 ?></td>
			<td>
				<input type="text" value="<?php echo $color->name ?>" class="form-control" name="names[]" />
			<td>
				<?php if(!$color->is_img) : ?>
				<input type="color" value="<?php echo $color->color ?>" name="colors[]" />

				<?php else : ?>

				<?php endif ?>

				<input type="hidden" name="ids[]" value="<?php echo $color->id ?>" />
			</td>

			<td>
				<a href="#" data-toggle="modal" data-target="#modal-eliminar">Eliminar</a>
			</td>
		</tr>	


		<?php endforeach ?>

		<tr>
			<td></td>
			<td></td>
			<td></td>
			<td>

				<input type="submit" class="btn btn-success" value="Actualizar colores" name="actualizar" />

			</td>

		</tr>

		</tbody>

		</form>

	</table>

	<?php endif ?>


</div>

<div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
    
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">Eliminar Color</h4>
            </div>

            <div class="modal-body">
                <p>Seguro que eliminar el color?</p>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-success" data-dismiss="modal">Cancelar</button>
                <a class="btn btn-danger" >Eliminar</a>
            </div>
        </div>
    </div>
</div>