<!-- <body <?php //if(isset($mapa) && $mapa != false) echo 'onload="initialize()"' ?> > -->
<?php // var_dump($branches) ?>

<div id="mapa" style="height: 500px;width: 100%;"></div>

<?php if($branches != false) : ?>

    <script src="http://maps.google.com/maps/api/js" type="text/javascript"></script>
    <script type="text/javascript">
        
        
            var locations = [

            <?php foreach($branches as $key => $branch) : ?>
            <?php

            $contenido      =  '<h3>'.$branch->nombre.'</h3>';
            $contenido     .=  '<p>'.trim(preg_replace('/\s+/', ' ', $branch->direccion )).'</p>';
            $contenido     .=  '<p><b>Teléfono :</b><br> '.trim(preg_replace('/\s+/', ' ', $branch->telefono )).'</p>';
            $contenido     .=  '<p><b>Mail :</b><br> '.trim(preg_replace('/\s+/', ' ', nl2br($branch->mail) )).'</p>';
            $contenido	   .=  '<img src="img/logo-iforniture.png" class="img-mapa" />';

            $contenido = trim(preg_replace('/\s+/', ' ', $contenido ));

            ?>
              ['<?php echo trim(preg_replace('/\s+/', ' ', $branch->nombre )) ?>', <?php echo $branch->lat ?>, <?php echo $branch->lng ?>, '<?php echo $contenido ?>'],
            <?php endforeach ?>];

            var map = new google.maps.Map(document.getElementById('mapa'), {
              zoom: 5,
              center: new google.maps.LatLng(<?php echo $branches[0]->lat ?>, <?php echo $branches[0]->lng ?>),
              mapTypeId: google.maps.MapTypeId.ROADMAP
            });

            var marker, i;
            var image = {
                url: 'img/logo-mapa.png',
                scaledSize: new google.maps.Size(40, 66),
            };
            var infowindow = new google.maps.InfoWindow({

                content: 'Buscando...'
            });

            for (i = 0; i < locations.length; i++)
            {
              marker = new google.maps.Marker({
                position: new google.maps.LatLng(locations[i][1], locations[i][2]),
                map: map,
                icon: image
              });
              google.maps.event.addListener(marker, 'click', (function(marker, i) {
                return function() {
                  infowindow.setContent(locations[i][3]);
                  infowindow.open(map, marker);
              }
              })(marker, i));
            }


            
        
        
    </script>

    <section>

        <div class="container">

            <hr>
            
            <div class="row">

                <div class="col-sm-12">


                <table class="table">

                    <thead>

                        <tr>
                            <th>Nombre</th>
                            <th>Dirección</th>
                            <th>Teléfono</th>
                            <th>Mail</th>
                        </tr>

                    </thead>


                    <tbody>
                    

                    <?php foreach($branches as $key => $branch) : ?>

                	<tr>

                        <td><?php echo $branch->nombre ?></td>

                        <td><?php echo $branch->direccion ?></td>

                        <td><?php echo $branch->telefono ?></td>

                        <td><?php echo $branch->mail ?></td>


                        <td>
                    	   <a href="" data-lat="<?php echo $branch->lat ?>" data-lng="<?php echo $branch->lng ?>" class="referencia-mapa" >Ver en el mapa</a>
                        </td>
                    </tr>   


                	<?php endforeach ?>

                    </tbody>

                </table>


                </div>

            </div>

        </div>

    </section>
   	
	<script type="text/javascript">

	$('.referencia-mapa').click(function(event){

    	event.preventDefault();

    	var lat, lng;

    	lat = $(this).attr('data-lat');
    	lng = $(this).attr('data-lng');

    	  
    	map.setCenter(new google.maps.LatLng(lat, lng));

        map.setZoom(16);

        $("html, body").animate({ scrollTop: $("html, body").offset().top}, 1000);

    })


	</script>

 <?php endif ?>