<div class="single-product">

    <section class="page-white bgpatttern shop-img shop-slider clearfix animated flipInX in" data-delay="0" data-animation="fadeInUp">
        <div class="container">
            <h1><?php echo $producto->name ?></h1>
            <?php //var_dump($producto) ?>
            <div class="breadcrumb-container">
                <ul class="breadcrumb">
                    <li><a href="">Inicio</a></li>
                    <li><a href="productos/<?php echo $producto->category_slug ?>"><?php echo $producto->category_name ?></a></li>
                    <li><a href="producto/<?php echo $producto->id . '/' . $producto->slug ?>"><?php echo $producto->name ?></a></li>
                </ul>
            </div>
        </div>
        <!-- end section title --> 
    </section>

    <section class="product-information">
        <div class="container">
            <div class="row">
                
                <?php //var_dump($images) ?>
                <div class="col-md-6">
                    
                    <?php if($images) : ?>
                    <div id="sync1" class="owl-carousel owl-template">
                        
                        <?php foreach($images as $key => $img) : ?>
                        <div class="item">
                            <figure>
                                <img src="<?php echo $img->grande ?>" alt="slide" width="540" height="700"/>
                            </figure>
                        </div>
                        <?php endforeach ?>

                    </div>
                    
                    <div id="sync2" class="owl-carousel owl-template">
                        
                        <?php foreach($images as $key => $img) : ?>
                        <div class="item">
                            <figure>
                                <img src="<?php echo $img->thumb ?>" alt="slide" width="180" height="220"/>
                            </figure>
                        </div>
                        <?php endforeach ?>
                        
                    </div>
                    <?php endif ?>

                </div>

                <div class="col-md-6">
                    <div class="summary-product entry-summary">
                        <h1 class="product_title"><?php echo $producto->name ?></h1>
                        <?php //var_dump($producto) ?>
                        <div class="woocommerce-product-rating"></div>
                        <div class="rate-price">
                            
                            <p class="price"><span><?php echo $producto->cart->precio_formateado ?></span></p>
                        </div>
                        <div class="product-single-short-description">
                            <p><?php echo nl2br($producto->description) ?></p>
                        </div>
                        
                        <div class="product_meta"><span class="sku_wrapper">
                        
                            <label>Categoria:</label><a href="productos/<?php echo $producto->category_slug ?>"><?php echo $producto->category_name ?></a>.</span></div>
                            
                        </div>
                    </div>
            </div>
        </div>
    </section>

    <?php if($relevant) : ?>
    <section class="relative-single-page">
        <div class="container">
            <h2>OTROS PRODUCTOS QUE LE PODRÍAN INTERESAR</h2>
            <div class="related-logo">
                <div data-number="4" data-margin="10" data-loop="yes" data-navcontrol="yes" class="sofani-owl-carousel">
                    
                    <?php foreach($relevant as $key => $producto) : ?>    
                                        
                    <?php echo $this->render->product($producto) ?>

                    <?php endforeach ?>
                    
                </div>
            </div>
        </div>
    </section>
    <?php endif ?>

</div>
